import { Hono } from 'hono';
import Layout from './frontend/layout';
import { SiteConfig, configMiddleware } from './middleware/config';
import LoginForm from './frontend/user/login';

const app = new Hono();
app.use(configMiddleware);

app.get('/', async (c) => {
  const siteData: SiteConfig = c.get('config');

  const layout = (
    <Layout siteData={siteData}>
      <main>
        <h1>Welcome to Slovocast</h1>
      </main>
    </Layout>
  );
 
  return c.html(layout);
});

app.get('/login', async (c) => {
  const config: SiteConfig = c.get('config');

  return c.html(
    <Layout siteData={config}>
      <main>
        <LoginForm action="/login" />
      </main>
    </Layout>
  );
});

export default app;
